public class Dcera extends Matka
{
    private static int d_počet  = 0;
    private int d_pořadí = ++d_počet;
    private String název = "Dcera_" + d_počet;

    public static void zpráva( String text )
    {
        System.out.println( text + " (D)" );
    }
   
    public Dcera()
    {
        this( "" );
//         this( this.toString() );
//         System.out.println( "Vytvářím " + d_pořadí + 
//             ". instanci třídy Dcera " );
    }
    
    public Dcera( String s )
    {
       super( "- pro dceru " + s );
        System.out.println( "Vytvářím " + d_pořadí + 
            ". instanci třídy Dcera " + s );
    }

//    @Override
    public void veřejná()
    {
        System.out.println("  Třída Dcera, metoda veřejná(): " + 
                         "\n    Podobjekt: " + název +
                         "\n    Instance:  " + this  );
    }
    
//    @Override
    public void zprávy()
    {
        zpráva( "\nDcera - moje zpráva" );
//         Matka .zpráva( "- Zpráva matky"  );
//         Dcera .zpráva( "- Zpráva dcery"  );
//         Vnučka.zpráva( "- Zpráva vnučky" );
    }
    
    public void dcera() 
    {
        System.out.println( "\nMetoda dcera() instance " + this +
                            "\n  Název podobjektu: " + název );
        soukromá();
        veřejná();
        System.out.println( název + ".dcera - konec");
    }

    public void rodiče()
    {
        System.out.println("Dcera - moje verze metody veřejná():");
        veřejná();
//        System.out.println("Dcera - rodičovská verze metody veřejná():");
//        super.veřejná();
    }

    private void soukromá()
    {
        System.out.println("  Třída Dcera, metoda soukromá(): " + 
                         "\n    Podobjekt: " + název +
                         "\n    Instance:  " + this  );
    }
}

